let db = wx.cloud.database()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    list: []

  },
  // 获取关注列表
  getlist(s) {
    var that = this
    db.collection("Vote").skip(s*20).get()
        .then(res => {
            var that=this
            console.log(res.data)
            for (var i = 0; i < res.data.length; i++) {
              if (res.data[i].attentionlist.length != 0) {
                for (var a = 0; a < res.data[i].attentionlist.length; a++) {
                  if (res.data[i].attentionlist[a].openid == wx.getStorageSync('openid')) {
                    that.setData({
                      list: that.data.list.concat(res.data[i])
                    })
                  }
                }
              }
            }
            if(res.data.length==20){
                console.log("sucfew")
                s=s+1
                that.getlist(s)
            }
        })
  

  },
 
  tovotecontent(e) {
    let id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '/pages/voteContent/index?id=' + id,
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
      let s=0
    this.getlist(s)

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})